com.amazonaws.services.cloudfront.model

## Class CreateStreamingDistributionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.CreateStreamingDistributionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateStreamingDistributionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to create a new streaming distribution.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateStreamingDistributionRequest()` Default constructor for CreateStreamingDistributionRequest object.
`CreateStreamingDistributionRequest(StreamingDistributionConfig streamingDistributionConfig)` Constructs a new CreateStreamingDistributionRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateStreamingDistributionRequest` `clone()`
`boolean` `equals(Object obj)`
`StreamingDistributionConfig` `getStreamingDistributionConfig()` The streaming distribution's configuration information.
`int` `hashCode()`
`void` `setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` The streaming distribution's configuration information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateStreamingDistributionRequest` `withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)` The streaming distribution's configuration information.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateStreamingDistributionRequest

    public CreateStreamingDistributionRequest()

Default constructor for CreateStreamingDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### CreateStreamingDistributionRequest

    public CreateStreamingDistributionRequest(StreamingDistributionConfig streamingDistributionConfig)

Constructs a new CreateStreamingDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `streamingDistributionConfig` - The streaming distribution's configuration information.

### Method Detail

#### setStreamingDistributionConfig

    public void setStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

The streaming distribution's configuration information.

Parameters:
  `streamingDistributionConfig` - The streaming distribution's configuration information.

#### getStreamingDistributionConfig

    public StreamingDistributionConfig getStreamingDistributionConfig()

The streaming distribution's configuration information.

Returns:
  The streaming distribution's configuration information.

#### withStreamingDistributionConfig

    public CreateStreamingDistributionRequest withStreamingDistributionConfig(StreamingDistributionConfig streamingDistributionConfig)

The streaming distribution's configuration information.

Parameters:
  `streamingDistributionConfig` - The streaming distribution's configuration information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateStreamingDistributionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`